Focal Point
Cannot Upgrade. Previous version of PMF not detected

This topic can be found at:
http://forums.informationbuilders.com/eve/forums/a/tpc/f/1461084022/m/1281039503

November 07, 2008, 05:20 PM
Trav
Cannot Upgrade. Previous version of PMF not detected
Any thoughts as to why I might get this error when trying to upgrade from 4 to 5?

We have our install in a non-standard location (basically one level deeper than just c:\ibi\) -- but I pointed everything to the correct paths. But when I hit "Next" after I enter the directories, it gives me that error.



Production: 7.6.6 WF Server  <=>  7.6.6 WF Client  <=>  7.6.6 Dev Studio
Testing: <none>
Using MRE & BID.  Connected to MS SQL Server 2005
Output Types: HTML, Excel, PDF
November 10, 2008, 10:30 AM
EricH
Trav,

The upgrade scripts rely upong a WebFOCUS system generated variable &APPROOT, which points to the physical location of your apps folder. On Wintel machines this is normally [drive]:\ibi\apps - and (I believe) on Unix/Linux it is /ibi/apps.

I suggest checking to make sure that &APPROOT is pointing down that additional level. The simplest way to do this is to your WebFOCUS Administration Console and look in Client Settings-General. APPROOT is the very first setting.

EricH
November 10, 2008, 02:47 PM
Trav
yep. It's set correctly...



Production: 7.6.6 WF Server  <=>  7.6.6 WF Client  <=>  7.6.6 Dev Studio
Testing: <none>
Using MRE & BID.  Connected to MS SQL Server 2005
Output Types: HTML, Excel, PDF
November 11, 2008, 09:12 AM
EricH
Trav,

Open a case with IBI support and we'll figure it out.

Eric
November 11, 2008, 09:19 AM
Trav
Will do. I know I probably could just do a fresh install over the top of it, but would be nice to not have to.

Thanks!



Production: 7.6.6 WF Server  <=>  7.6.6 WF Client  <=>  7.6.6 Dev Studio
Testing: <none>
Using MRE & BID.  Connected to MS SQL Server 2005
Output Types: HTML, Excel, PDF